<?PHP  
if(is_logged_in($user)){
$tagtext = "I shop here";
$actionlink = "individual.php?retailer_id=$row[retailer_id]&".get_sid();
}else{
$tagtext = "Log in to tag this shop";
$actionlink = "$forum_url/forum/?do=login&from=retailers";
$tagstatus = "no";
}

if(is_logged_in($user)){
//Get user's uid
//$testresults = mysql_query("SELECT user_id FROM ".$prefix."User WHERE user_username=\"$username\"") or die(mysql_error());
//$testrow = mysql_fetch_array($testresults);
//$useruid = $testrow[user_id];
$useruid = base64_decode($_SESSION['user_id']);

// is the current user the owner of the race?
$retailer_submitted_by = FALSE;
if($useruid == $row[retailer_submitted_by]){
  $retailer_submitted_by = TRUE;
}

$tagresults = mysql_query("SELECT retailer_shopper_tags FROM gforum_Retailers WHERE retailer_id=$row[retailer_id]");
$tagrow = mysql_fetch_array($tagresults);
$tags = explode(",", $tagrow[retailer_shopper_tags]);

$profileresults = mysql_query("SELECT user_shoptags FROM ".$prefix."User WHERE user_id='$useruid'") or die(mysql_error());
$profilerow = mysql_fetch_array($profileresults);
$profiletags = explode(",", $profilerow[user_shoptags]);

if($_POST[status] == "tag"){
//tag the race
if(array_search($useruid, $tags) == FALSE){
array_push($tags, $useruid);
}
$tags = implode(",", $tags);
mysql_query("UPDATE gforum_Retailers SET retailer_shopper_tags='$tags' WHERE retailer_id=$row[retailer_id]") or die(mysql_error());
$tags = explode(",", $tags);

if(array_search($row[retailer_id], $profiletags) == FALSE){
array_push($profiletags, $row[retailer_id]);
}
$profiletags = implode(",", $profiletags);
mysql_query("UPDATE ".$prefix."User SET user_shoptags='$profiletags' WHERE user_id='$useruid'") or die(mysql_error());
}else if($_POST[status] == "untag"){
//untag the race
$key = array_search($useruid, $tags);
unset($tags[$key]);
$tags = implode(",", $tags);
mysql_query("UPDATE gforum_Retailers SET retailer_shopper_tags='$tags' WHERE retailer_id=$row[retailer_id]") or die(mysql_error()); 
$tags = explode(",", $tags);

$key = array_search($row[retailer_id], $profiletags);
unset($profiletags[$key]);
$profiletags = implode(",", $profiletags);
mysql_query("UPDATE ".$prefix."User SET user_shoptags='$profiletags' WHERE user_id=$useruid");
}

//Is the race tagged already?
if(array_search($useruid, $tags) !== FALSE){ $racing = TRUE; }else{ $racing = FALSE; }

if($racing){ $tagstatus = "untag"; $tagtext = "Untag this shop";}else{ $tagstatus = "tag"; $tagtext = "I shop here";}
}
?>

<div>
<form action="<? echo $actionlink; ?>" method="post" style="display: inline;">
<input type="hidden" value="<? echo $tagstatus; ?>" name="status" />
<? if (is_logged_in($user)) { ?>
<input type="submit" value="<? echo $tagtext; ?>" class="btn" />
<? } else { ?>
<a href="<? echo $actionlink ?>" class="btn"><? echo $tagtext; ?></a>
<? } ?>
</form>
<form method="post" action="<? echo "individual.php?retailer_id=$row[retailer_id]#racers"; ?>" style="display: inline;">
<input type="submit" value="Who shops here?" class="btn" />
</form>
<? if(is_logged_in($user)){ ?>
	<form method="post" action="<? echo "individual.php?retailer_id=$row[retailer_id]#comment"; ?>" style="display: inline;">
	<input type="submit" value="Comment on this retailer" class="btn" />
	</form>
	
	<form method="post" action="<? echo "wiki_edit.php?retailer_id=$row[retailer_id]"; ?>" style="display: inline;">
	<input type="submit" value="Edit this shop (wiki)" class="btn" />
	</form>

<?
if (is_admin($user)) {
?>

<form method="post" action="delete_X.php" style="display: inline;">
<input type="hidden" name="retailer_id" value="<? echo($row[retailer_id]); ?>" />
<input type="submit" value="Delete this retailer" class="btn" onclick="return confirm('Are you sure you want to DELETE this retailer?');" />
</form>

<?

//Get user's uid
$testresults = mysql_query("SELECT user_username FROM ".$prefix."User WHERE user_id='$row[retailer_submitted_by]'") or die(mysql_error());
$testrow = mysql_fetch_array($testresults);
$username = $testrow[user_username];
echo("<br /><br /><strong>Entered By: </strong> <a href='http://forum.slowtwitch.com/gforum.cgi?username=$username;'>$username</a>");  
  }
}
?>
</div>
